Index: build/mac/edit_xibs.sh |
diff --git a/build/mac/edit_xibs.sh b/build/mac/edit_xibs.sh |
new file mode 100755 |
index 0000000000000000000000000000000000000000..a3054557b37a80b3db7b1ddc401229fbae3ae100 |
--- /dev/null |
+++ b/build/mac/edit_xibs.sh |
@@ -0,0 +1,17 @@ |
+#!/bin/sh |
+ |
+# Copyright (c) 2012 The Chromium Authors. All rights reserved. |
+# Use of this source code is governed by a BSD-style license that can be |
+# found in the LICENSE file. |
+ |
+# This script is a convenience to run GYP for /src/chrome/chrome_nibs.gyp |
+# with the Xcode generator (as you likely use ninja). Documentation: |
+# http://dev.chromium.org/developers/design-documents/mac-xib-files |
+ |
+set -e |
+ |
+RELSRC=$(dirname "$0")/../.. |
+SRC=$(cd "$RELSRC" && pwd) |
+GYP_GENERATORS=xcode python "$SRC/tools/gyp/gyp" "$SRC/chrome/chrome_nibs.gyp" |
+echo "You can now edit XIB files in Xcode using:" |
+echo " $SRC/chrome/chrome_nibs.xcodeproj" |